import { Component, OnInit, AfterViewInit } from "@angular/core";
import { Location } from '@angular/common';

@Component({
  selector: "app-incident-config",
  templateUrl: "./incident-config.component.html",
  styleUrls: ["./incident-config.component.less"],
})
export class IncidentConfigComponent implements OnInit, AfterViewInit {
  constructor(
    private _location: Location,
  ){}

  // tab
  tagList:any = [
    { id: 1, name: '故障现象',},
    { id: 2, name: '优先级',},
    { id: 3, name: '数据字典',},
    { id: 4, name: '消息通知',},
		{ id: 5, name: '工时管理',},
		{ id: 6, name: '科室绑定人员',},
    { id: 7, name: '院区配置',},
  ];

  // 数据字典
  dictionaryKeyList:any[] = [
    { id: 1, name: '积分配置', key: "incident_category_score"},
    { id: 2, name: '事件来源', key: "incident_source"},
    { id: 3, name: '处理结果', key: "incident_closecode"},
    { id: 4, name: '处理方式', key: "incident_handle_type"},
    { id: 5, name: '状态', key: "incident_status"},
    { id: 6, name: '维修记录', key: "repair_type"},
    { id: 7, name: '满意度评价', key: "incident_degree"},
  ]

  ngOnInit(): void {}

  ngAfterViewInit(){
    this.clickTag(this.tagList[0]);
  }

  // 点击tab
  activeTagId:any = 1;
  clickTag(tag){
    this.activeTagId = tag.id;
  }

  // 返回
  goBack(){
    this._location.back();
  }
}
